# 类: GroupInviteRequestEvent

[(返回目录)](/api.md)

**继承自:** [RequestEvent](/api/requestevent.md)

RainyBot的邀请入群请求事件类，其实例记录了与一次邀请入群请求事件相关的数据

## 枚举

enum **RespondType**

可用于回应请求的回应类型

* **ACCEPT** = 0\
  接受入群邀请
* **REFUSE** = 1\
  拒绝入群邀请

***

## 方法

* static [GroupInviteRequestEvent](/api/groupinviterequestevent.md) **init\_meta (** [Dictionary](https://docs.godotengine.org/en/latest/classes/class_dictionary.html) dic **)**

通过机器人协议后端的元数据字典构造一个此类的实例，仅当你知道自己在做什么时才使用

***

* [String](https://docs.godotengine.org/en/latest/classes/class_string.html) **get\_group\_name ( )**

获取事件对应的被邀请加入的群的名称

***


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.rainybot.dev/api/groupinviterequestevent.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
